Skip to main content
GET

Authorizations

X-API-Key
string
header
required

Path Parameters

name
string
required

Name of the custom event.

Pattern: [a-z0-9_]{1,50}
Example:

"unique_event_name"

Response

Successfully retrieved the event definition.

Represents a custom event definition.

name
string

The name of the custom event definition.

Example:

"propertyName"

label
string

The label of the event definition, used for display purposes.

Maximum string length: 50
Example:

"Property Label"

description
string

The description of the event definition.

Example:

"Describes this property"

objectType
enum<string>

Type of the object that the event will be associated with.

  • CONTACT: Indicates that the object is a contact.
Available options:
CONTACT
Example:

"CONTACT"

createTime
string<date-time>

The time at which this object is created, formatted in RFC 3339. e.g., 2022-06-01T12:00:00.000Z.

Example:

"2024-08-22T00:00:00.000Z"

properties
object[]

The list of property definitions for the event definition.